spdMerlin spdMerlin - Automated speedtests with graphs

  • ATTENTION! You'll notice a Prefix dropdown when you create a thread. If your post applies to one of the topics listed, please use that Prefix for your post. When browsing the thread list you can use the Prefix to filter the view.
  • ATTENTION! As of November 1, 2020, you are not able to reply to threads 6 months after the thread is opened if there are more than 500 posts in the thread.
    Threads will not be locked, so posts may still be edited by their authors.
    Just start a new thread on the topic to post if you get an error message when trying to reply to a thread.

Marin

Very Senior Member
Ok....here is the first thing I am noticing. When you go to Tools tab, this is what I see (pay attention at the tabs on the top) of the screen:

upload_2019-4-3_19-23-57.png


This is fine but then when when you click on the SpeedTest tab, this is what I see (again look at the tabs on the top)

upload_2019-4-3_19-25-41.png


Looks familiar? Yes, it is the same tab arrangement that you get from the Administrative tab. Somehow the graphs show below the Feedback tab.

However, you don't see this when clicking on ntpMerlin tab (next to SpeedTest):

upload_2019-4-3_19-29-24.png


No reason to be too concerned about it yet. I will reboot the router and see if the issue persists.
 

Marin

Very Senior Member
Could you also report your (paid for) ISP speeds too when they update? Thank you.

Just wanting to see if the router is capable of testing/reporting the higher end Gbps connections. :)
Certainly will do.
 

L&LD

Part of the Furniture
Ok....here is the first thing I am noticing. When you go to Tools tab, this is what I see (pay attention at the tabs on the top) of the screen:

View attachment 16851

This is fine but then when when you click on the SpeedTest tab, this is what I see (again look at the tabs on the top)

View attachment 16852

Looks familiar? Yes, it is the same tab arrangement that you get from the Administrative tab. Somehow the graphs show below the Feedback tab.

However, you don't see this when clicking on ntpMerlin tab (next to SpeedTest):

View attachment 16853

No reason to be too concerned about it yet. I will reboot the router and see if the issue persists.
That is interesting! I certainly did not see that here.

Does a reboot help?
 

Marin

Very Senior Member
That is interesting! I certainly did not see that here.

Does a reboot help?
Nope, a reboot did not help. The tabs arrangement remains the same. Will wait and see if graphs generate.
 

skeal

Part of the Furniture
Installed on AX88U had to run the opkg update and the installer again but after doing that it installed and ran. Waiting for graphs. ;):)
 

Marin

Very Senior Member
Are your tabs looking ok?
 

skeal

Part of the Furniture
Clicked on the Graphs page and it takes you to Administration tabs.
 

skeal

Part of the Furniture
I also noticed it floods the pipe and my streaming system breaks down during tests. Not sure if this can be handled by FreshJR_QOS.
 

QuikSilver

Very Senior Member

Marin

Very Senior Member
Interesting...do you mind describing all the steps you followed pre and post installation? I didn't do any "opkg..." commands - simply went straight for the install curl.
 

skeal

Part of the Furniture
I ran the installer and came over some errors. I ran opkg update and then re-ran the installer and it installed error free.
 

L&LD

Part of the Furniture
Interesting...do you mind describing all the steps you followed pre and post installation? I didn't do any "opkg..." commands - simply went straight for the install curl.
Was your Entware installation part of Diversion? Could that be part of the problem here, if it wasn't?

When was the last time a full reset to factory defaults performed on your RT-AX88U (M&M Config, please see my signature for the link)?
 

QuikSilver

Very Senior Member
Ran curl and got this...
Code:
/usr/sbin/curl --retry 3 "https://ra
w.githubusercontent.com/jackyaz/spdMerlin/master/spdmerlin.sh" -o "/jffs/scripts
/spdmerlin" && chmod 0755 /jffs/scripts/spdmerlin && /jffs/scripts/spdmerlin ins
tall
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 19717  100 19717    0     0  63195      0 --:--:-- --:--:-- --:--:--  100k
spdMerlin: Welcome to spdMerlin v1.0.0, a script by JackYaz

spdMerlin: Checking your router meets the requirements for spdMerlin

Installing libbz2 (1.0.6-5) to root...
Downloading http://bin.entware.net/aarch64-k3.10/libbz2_1.0.6-5_aarch64-3.10.ipk
Collected errors:
 * opkg_download: Failed to download http://bin.entware.net/aarch64-k3.10/libbz2                                                                                        _1.0.6-5_aarch64-3.10.ipk, wget returned 8.
 * opkg_install_pkg: Failed to download libbz2. Perhaps you need to run 'opkg up                                                                                        date'?
 * opkg_install_cmd: Cannot install package libbz2.
Installing python (2.7.15-5) to root...
Downloading http://bin.entware.net/aarch64-k3.10/python_2.7.15-5_aarch64-3.10.ip                                                                                        k
Installing python-base (2.7.15-5) to root...
Downloading http://bin.entware.net/aarch64-k3.10/python-base_2.7.15-5_aarch64-3.                                                                                        10.ipk
Installing libffi (3.2.1-3) to root...
Downloading http://bin.entware.net/aarch64-k3.10/libffi_3.2.1-3_aarch64-3.10.ipk
Installing libbz2 (1.0.6-5) to root...
Downloading http://bin.entware.net/aarch64-k3.10/libbz2_1.0.6-5_aarch64-3.10.ipk
Configuring python-base.
Configuring libffi.
Collected errors:
 * opkg_download: Failed to download http://bin.entware.net/aarch64-k3.10/libbz2                                                                                        _1.0.6-5_aarch64-3.10.ipk, wget returned 8.
 * opkg_install_pkg: Failed to download libbz2. Perhaps you need to run 'opkg up                                                                                        date'?
 * opkg_install_cmd: Cannot install package python.
Package rrdtool (1.2.30-3a) installed in root is up to date.
Installing ca-certificates (20180409-3) to root...
Downloading http://bin.entware.net/aarch64-k3.10/ca-certificates_20180409-3_all.                                                                                        ipk
Configuring ca-certificates.
spdMerlin: Starting speedtest now...

Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
Traceback (most recent call last):
  File "/jffs/scripts/spdcli.py", line 20, in <module>
    import csv
ImportError: No module named csv
spdMerlin: Finished speedtest
Then ran
Code:
opkg update
and did curl again...no issue/errors then....Hope that helps!

Edit: I installed on second router as well....same model. Tab look fine on second router as well.
 

Marin

Very Senior Member
Was your Entware installation part of Diversion? Could that be part of the problem here, if it wasn't?

When was the last time a full reset to factory defaults performed on your RT-AX88U (M&M Config, please see my signature for the link)?
I only update Entware via the ep function of Diversion and not the other AMTM option- the last time I did that it messed up my Stubby so have not been brave enough to try it again.

I did a full reset and factory defaults along with M&M config according to your links, few weeks ago when 384.10 came out.
 

Marin

Very Senior Member
I only update Entware via the ep function of Diversion and not the other AMTM option- the last time I did that it messed up my Stubby so have not been brave enough to try it again.

I did a full reset and factory defaults along with M&M config according to your links, few weeks ago when 384.10 came out.
...and now just noticed that 384.10_2 is out!!:):):)
 

QuikSilver

Very Senior Member
I only update Entware via the ep function of Diversion and not the other AMTM option- the last time I did that it messed up my Stubby so have not been brave enough to try it again.

I did a full reset and factory defaults along with M&M config according to your links, few weeks ago when 384.10 came out.
Could it possibly be an issue with the model coding since your on a 88 while L&LD and I are on a 86u? (Thinking out loud here, not a programmer by any means but trying to use my "Sherlock" skills. ;)
 

L&LD

Part of the Furniture
I only update Entware via the ep function of Diversion and not the other AMTM option- the last time I did that it messed up my Stubby so have not been brave enough to try it again.

I did a full reset and factory defaults along with M&M config according to your links, few weeks ago when 384.10 came out.
Just a note that RMerlin 384.10_2 is out (and already installed on an RT-AC86U). ;)
 

Marin

Very Senior Member
I
Ran curl and got this...
Code:
/usr/sbin/curl --retry 3 "https://ra
w.githubusercontent.com/jackyaz/spdMerlin/master/spdmerlin.sh" -o "/jffs/scripts
/spdmerlin" && chmod 0755 /jffs/scripts/spdmerlin && /jffs/scripts/spdmerlin ins
tall
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 19717  100 19717    0     0  63195      0 --:--:-- --:--:-- --:--:--  100k
spdMerlin: Welcome to spdMerlin v1.0.0, a script by JackYaz

spdMerlin: Checking your router meets the requirements for spdMerlin

Installing libbz2 (1.0.6-5) to root...
Downloading http://bin.entware.net/aarch64-k3.10/libbz2_1.0.6-5_aarch64-3.10.ipk
Collected errors:
 * opkg_download: Failed to download http://bin.entware.net/aarch64-k3.10/libbz2                                                                                        _1.0.6-5_aarch64-3.10.ipk, wget returned 8.
 * opkg_install_pkg: Failed to download libbz2. Perhaps you need to run 'opkg up                                                                                        date'?
 * opkg_install_cmd: Cannot install package libbz2.
Installing python (2.7.15-5) to root...
Downloading http://bin.entware.net/aarch64-k3.10/python_2.7.15-5_aarch64-3.10.ip                                                                                        k
Installing python-base (2.7.15-5) to root...
Downloading http://bin.entware.net/aarch64-k3.10/python-base_2.7.15-5_aarch64-3.                                                                                        10.ipk
Installing libffi (3.2.1-3) to root...
Downloading http://bin.entware.net/aarch64-k3.10/libffi_3.2.1-3_aarch64-3.10.ipk
Installing libbz2 (1.0.6-5) to root...
Downloading http://bin.entware.net/aarch64-k3.10/libbz2_1.0.6-5_aarch64-3.10.ipk
Configuring python-base.
Configuring libffi.
Collected errors:
 * opkg_download: Failed to download http://bin.entware.net/aarch64-k3.10/libbz2                                                                                        _1.0.6-5_aarch64-3.10.ipk, wget returned 8.
 * opkg_install_pkg: Failed to download libbz2. Perhaps you need to run 'opkg up                                                                                        date'?
 * opkg_install_cmd: Cannot install package python.
Package rrdtool (1.2.30-3a) installed in root is up to date.
Installing ca-certificates (20180409-3) to root...
Downloading http://bin.entware.net/aarch64-k3.10/ca-certificates_20180409-3_all.                                                                                        ipk
Configuring ca-certificates.
spdMerlin: Starting speedtest now...

Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
Traceback (most recent call last):
  File "/jffs/scripts/spdcli.py", line 20, in <module>
    import csv
ImportError: No module named csv
spdMerlin: Finished speedtest
Then ran
Code:
opkg update
and did curl again...no issue/errors then....Hope that helps!

Edit: I installed on second router as well....same model. Tab look fine on second router as well.
I ran the opkg update and reran the install curl but no change on the tabs. Will uninstall, run opkg update and then the curl to see if that makes a difference
 

L&LD

Part of the Furniture
Could it possibly be an issue with the model coding since your on a 88 while L&LD and I are on a 86u? (Thinking out loud here, not a programmer by any means but trying to use my "Sherlock" skills. ;)
Small correction: the spdMerlin script I've tried was on an RT-AC68U, not my RT-AC86U (yet). :)
 

bearever

Regular Contributor
Will this script limited by external drive I/O speed? I installed similar script previously on my router and I could get ~500mbps download speed at best due to my 5400rpm hard drive I/O constraint.


Sent from my iPhone using Tapatalk Pro
 

Sign Up For SNBForums Daily Digest

Get an update of what's new every day delivered to your mailbox. Sign up here!
Top